commit:     84bde3f2f3992e482479c08520bdac3bba2dc2af
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 24 21:43:32 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb 24 22:00:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84bde3f2

dev-python/APScheduler: Bump to 3.9.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/APScheduler/APScheduler-3.9.0.ebuild | 50 +++++++++++++++++++++++++
 dev-python/APScheduler/Manifest                 |  1 +
 2 files changed, 51 insertions(+)

diff --git a/dev-python/APScheduler/APScheduler-3.9.0.ebuild 
b/dev-python/APScheduler/APScheduler-3.9.0.ebuild
new file mode 100644
index 000000000000..6535d1243da6
--- /dev/null
+++ b/dev-python/APScheduler/APScheduler-3.9.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="In-process task scheduler with Cron-like capabilities"
+HOMEPAGE="https://github.com/agronholm/apscheduler";
+SRC_URI="mirror://pypi/A/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/pytz[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/tzlocal-4[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/sqlalchemy[${PYTHON_USEDEP}]
+               www-servers/tornado[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+       # disable test fixtures using external servers (mongodb, redis...)
+       # these fixtures are using markers in git master, so the patch
+       # should be no longer necessary with next major bump
+       "${FILESDIR}"/APScheduler-3.8.1-external-server-tests.patch
+)
+
+EPYTEST_DESELECT=(
+       tests/test_jobstores.py::test_repr_mongodbjobstore
+       tests/test_jobstores.py::test_repr_redisjobstore
+       tests/test_jobstores.py::test_repr_zookeeperjobstore
+)
+
+python_prepare_all() {
+       # suppress setuptools warning #797751
+       sed -e 's|^upload-dir|upload_dir|' -i setup.cfg || die
+       sed -e '/addopts/d' -i setup.cfg || die
+
+       distutils-r1_python_prepare_all
+}

diff --git a/dev-python/APScheduler/Manifest b/dev-python/APScheduler/Manifest
index e85cd583b46a..87be39734911 100644
--- a/dev-python/APScheduler/Manifest
+++ b/dev-python/APScheduler/Manifest
@@ -1 +1,2 @@
 DIST APScheduler-3.8.1.tar.gz 98699 BLAKE2B 
7a8320251670de29f76375387f8a3817b3a9c401befd4bfefba106817ec3d21fc0f60af9b7a7620f83c0e1c651bc3eb8c62036a17e01ff91bf5dcf492ff78911
 SHA512 
553af2532b32bcdc7dc3047bf4f51623e87dbee62dac40b7ca8c3e64881467ecf6c50df56c863d5a44c6b8a99eb02ae22ae008d76ee4836ba398afd280bed99b
+DIST APScheduler-3.9.0.tar.gz 100492 BLAKE2B 
c1d15dcbebf52034cad0a1317bca68cf567d5acbf6619a5905e1793702339a68cef0a639463f887bb71cb96f15762bea5e5521230fa957e2fbb2ae501ca3cb36
 SHA512 
40b180f0297b0be125dea89d518331c1f78b1468b6507651c8e9b06cbb44f700ef1f1c44be8bf08f562b67ac6e89ac5022598ad79081bdf0290c207063e0898a

Reply via email to